
BEGIN TRANSACTION;

UPDATE disc_items SET data_changed = null;

CREATE TABLE disc_items_digital_copies (
    disc_item_id                        INTEGER     NOT NULL,
    digital_copy_id                     INTEGER     NOT NULL
);
CREATE INDEX idx_disc_items_digital_copies_disc_item_id        ON disc_items_digital_copies (disc_item_id);
CREATE INDEX idx_disc_items_digital_copies_digital_copy_id     ON disc_items_digital_copies (digital_copy_id);

CREATE TABLE digital_copies (
    name_internal                       TEXT        NOT NULL,
    name                                TEXT        NOT NULL,
    sort                                INTEGER     NOT NULL
);

CREATE TABLE disc_items_types (
    disc_item_id                        INTEGER     NOT NULL,
    disc_item_type_id                   INTEGER     NOT NULL
);
CREATE INDEX idx_disc_items_types_disc_item_id          ON disc_items_types (disc_item_id);
CREATE INDEX idx_disc_items_types_disc_item_type_id     ON disc_items_types (disc_item_type_id);

ALTER TABLE disc_items ADD COLUMN serie_parental_rating INTEGER DEFAULT 0;
ALTER TABLE disc_items ADD COLUMN adult_parental_rating INTEGER DEFAULT 0;

ALTER TABLE discs ADD COLUMN bonus_disc INTEGER DEFAULT 0;
ALTER TABLE discs ADD COLUMN digital_copy INTEGER DEFAULT 0;

ALTER TABLE disc_item_types ADD COLUMN sort INTEGER NOT NULL DEFAULT 0;

INSERT INTO "digital_copies" VALUES('Not Included','Not Included',0);
INSERT INTO "digital_copies" VALUES('Digital Copy (Code)','Digital Copy',1);
INSERT INTO "digital_copies" VALUES('Digital Copy (Disc)','Digital Copy (Disc)',2);
INSERT INTO "digital_copies" VALUES('Digital Copy Plus','Digital Copy Plus',3);
INSERT INTO "digital_copies" VALUES('Digital HD','Digital HD',4);
INSERT INTO "digital_copies" VALUES('Disney Digital Copy','Disney Digital Copy',5);
INSERT INTO "digital_copies" VALUES('Disney e-copy','Disney e-copy',6);
INSERT INTO "digital_copies" VALUES('iTunes Digital Copy','iTunes Digital Copy',7);
INSERT INTO "digital_copies" VALUES('UltraViolet','UltraViolet',8);
INSERT INTO "digital_copies" VALUES('UltraViolet HD','UltraViolet HD',9);
INSERT INTO "digital_copies" VALUES('Other','Other',10);

DELETE FROM disc_item_types WHERE name = '4K Ultra HD';
INSERT INTO disc_item_types VALUES('4K Ultra HD',0);
UPDATE disc_item_types SET sort = 1 WHERE name = 'Blu-ray';
UPDATE disc_item_types SET sort = 2 WHERE name = 'HD DVD';
UPDATE disc_item_types SET sort = 3 WHERE name = 'DVD';

COMMIT;