BEGIN TRANSACTION;

UPDATE disc_items SET data_changed = null;

CREATE TABLE disc_items_region_codes (
disc_item_id                        INTEGER     NOT NULL,
region_code_id                      INTEGER     NOT NULL
);
CREATE INDEX idx_disc_items_region_codes_disc_item_id        ON disc_items_region_codes (disc_item_id);
CREATE INDEX idx_disc_items_region_codes_region_code_id      ON disc_items_region_codes (region_code_id);

CREATE TABLE region_codes (
name_internal                       TEXT        NOT NULL,
name                                TEXT        NOT NULL,
disc_item_type_id                   INTEGER     NULL,
sort                                INTEGER     NOT NULL DEFAULT 0
);

INSERT INTO "region_codes" (name_internal, name, disc_item_type_id, sort) VALUES ('NoRegionCode','No Region Code', null, 0);
INSERT INTO "region_codes" (name_internal, name, disc_item_type_id, sort) SELECT '1', '1', rowid, 1 FROM disc_item_types WHERE name = 'DVD';
INSERT INTO "region_codes" (name_internal, name, disc_item_type_id, sort) SELECT '2', '2', rowid, 2 FROM disc_item_types WHERE name = 'DVD';
INSERT INTO "region_codes" (name_internal, name, disc_item_type_id, sort) SELECT '3', '3', rowid, 3 FROM disc_item_types WHERE name = 'DVD';
INSERT INTO "region_codes" (name_internal, name, disc_item_type_id, sort) SELECT '4', '4', rowid, 4 FROM disc_item_types WHERE name = 'DVD';
INSERT INTO "region_codes" (name_internal, name, disc_item_type_id, sort) SELECT '5', '5', rowid, 5 FROM disc_item_types WHERE name = 'DVD';
INSERT INTO "region_codes" (name_internal, name, disc_item_type_id, sort) SELECT '6', '6', rowid, 6 FROM disc_item_types WHERE name = 'DVD';
INSERT INTO "region_codes" (name_internal, name, disc_item_type_id, sort) SELECT 'A', 'A', rowid, 7 FROM disc_item_types WHERE name = 'Blu-ray';
INSERT INTO "region_codes" (name_internal, name, disc_item_type_id, sort) SELECT 'B', 'B', rowid, 8 FROM disc_item_types WHERE name = 'Blu-ray';
INSERT INTO "region_codes" (name_internal, name, disc_item_type_id, sort) SELECT 'C', 'C', rowid, 9 FROM disc_item_types WHERE name = 'Blu-ray';

ALTER TABLE watched_events ADD COLUMN before INTEGER DEFAULT 0;

CREATE TABLE disc_item_episodes_backup (
disc_item_id                        INTEGER     NOT NULL,
season_number                       INTEGER     NOT NULL,
episode_number                      INTEGER     NOT NULL
);
INSERT INTO disc_item_episodes_backup SELECT disc_item_id, season_number, episode_number FROM disc_item_episodes;
DROP TABLE disc_item_episodes;
ALTER TABLE disc_item_episodes_backup RENAME TO disc_item_episodes;
CREATE INDEX idx_disc_item_episodes_disc_item_id  ON disc_item_episodes (disc_item_id);

ALTER TABLE serie_items ADD COLUMN _title TEXT;
ALTER TABLE serie_items ADD COLUMN _sort_title TEXT;
ALTER TABLE serie_items ADD COLUMN _type TEXT;
ALTER TABLE serie_items ADD COLUMN _notes TEXT;
ALTER TABLE serie_items ADD COLUMN _tags TEXT;
ALTER TABLE serie_items ADD COLUMN _exclude_online_collection INTEGER DEFAULT 0;
ALTER TABLE serie_items ADD COLUMN _invisible_to_friends INTEGER DEFAULT 0;

ALTER TABLE categories ADD COLUMN serie_item_id INTEGER;

COMMIT;
